<!-- <template>
    <Swiper class="block__buttons-wrapper"
        :loop="false"
        :space-between="9"
        :slides-per-view="5"
        :scrollbar="{draggable: true}"
        :breakpoints="breakpointsTabs">
        <SwiperSlide v-for="tab in gamesTabs">
            <a class="block__buttons-button swiper-slide" @click.prevent="changeTab(tab.tab)" href="">{{tab.title}}</a>
        </SwiperSlide>
    </Swiper>
</template>

<script setup>
    import {ref, defineEmits} from 'vue';
    import {Swiper, SwiperSlide} from 'swiper/vue';

    let gamesTabs = ref([
        {title: 'Игры', tab: 'Games'},
        {title: 'Приложения', tab: 'Apps'},
        {title: 'Аккаунты', tab: 'Accounts'},
        {title: 'Услуги', tab: 'Services'},
        {title: 'Валюта', tab: 'Currency'},
        {title: 'Товары', tab: 'Items'},
    ]);

    let breakpointsTabs = ref({
        960: {
            spaceBetween: 11
        }
    })

</script> -->